#ifndef QRK_AUDIO_H
#define QRK_AUDIO_H

/*!
  \file
  \brief 音楽まわりの初期化

  \author Satofumi KAMIMURA

  $Id: Audio.h 1414 2009-10-14 23:14:02Z satofumi $
*/

namespace qrk
{
  /*!
    \brief 音楽まわりの初期化
  */
  class Audio
  {
  public:
    Audio(void);
    ~Audio(void);

    const char* what(void) const;

    bool initialize(void);
    bool isInitialized(void);

  private:
    Audio(const Audio& rhs);
    Audio& operator = (const Audio& rhs);

    struct pImpl;
    pImpl* pimpl;
  };
}

#endif /* !QRK_AUDIO_H */
